// the setup routine runs once when Gamebuino starts up
void setup(){
  // initialize the Gamebuino object
  gb.begin(F("buinomon"));
  gb.setFrameRate(41);
  
}
void overworld(){
  // map draw grey
  if(gb.frameCount%2) {
    for(byte i =0; i < 12; i++){
      for(byte j =0; j < 7; j++){
        gb.display.drawBitmap(i*8,j*8,tile_grey[map_greytown[j+player_y][i+player_x]],ROTCCW,NOFLIP);
      }
    }
  }
  //map draw black
   for(byte i =0; i < 12; i++){
    for(byte j =0; j < 7; j++){
      gb.display.drawBitmap(i*8,j*8,tile_black[map_greytown[j+player_y][i+player_x]],ROTCCW,NOFLIP);
    }
  }
  
  //the buttons
    if(gb.buttons.repeat(BTN_RIGHT,2)){
      if(player_x != MAPSIZE-12) player_x++;
    }
    if(gb.buttons.repeat(BTN_LEFT,2)){
      if(player_x != 0) player_x--;
    }
    if(gb.buttons.repeat(BTN_DOWN,2)){
      if(player_y != MAPSIZE-7) player_y++;
     }
    if(gb.buttons.repeat(BTN_UP,2)){
      if(player_y != 0) player_y--;
    }
    if(gb.buttons.pressed(BTN_A)){
      gamestate = 2;
    }
    if(gb.buttons.pressed(BTN_B)){
     
    }
}
void combat(){
  if(enemy_x < 35) enemy_x++;
    
    gb.display.print("Enemy ID:");
    gb.display.println(enemyID + 1);
    
    if(gb.frameCount%2) {
      gb.display.drawBitmap(enemy_x,enemy_y,grey[enemyID],0,NOFLIP);
    }
    gb.display.drawBitmap(enemy_x,enemy_y,black[enemyID],0,NOFLIP);
    
     //the buttons
    if(gb.buttons.repeat(BTN_RIGHT,2)){
      enemyID++;
     }
    if(gb.buttons.repeat(BTN_LEFT,2)){
      if(enemyID != 0) enemyID--;
       }
    if(gb.buttons.repeat(BTN_DOWN,2)){
      }
    if(gb.buttons.repeat(BTN_UP,2)){
       }
    if(gb.buttons.pressed(BTN_A)){

    }
    if(gb.buttons.pressed(BTN_B)){
     gamestate = 1;
    }
}
// the loop routine runs over and over again forever
void loop(){
  //updates the gamebuino (the display, the sound, the auto backlight... everything)
  //returns true when it's time to render a new frame (20 times/second)
  if(gb.update()){
    switch(gamestate){
      case 0: //title
        break;
      case 1: overworld(); //overworld
        break;
      case 2: combat();// combat
        break;
      case 3: //menu
        break;
      case 4: // debug
        break;
      default:
        break;
    }
    
  }
}
